Skip to content

Creates one Direct/Queue Idle task through distinct handlers and the shared replay protocol.

POST
/api/workspace/tasks/runtime/tasks
curl --request POST \
--url https://example.com/api/workspace/tasks/runtime/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "OperationId": "example", "DefinitionId": "example", "ResponsibleId": "example", "OwnerId": "example", "Subject": "example", "Description": "example", "DueAtUtc": "2026-04-15T12:00:00Z", "AvailableAtUtc": "2026-04-15T12:00:00Z", "Context": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "Input": { "additionalProperty": "example" }, "Working": { "additionalProperty": "example" }, "QueueId": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Creation intent only. Authority is resolved from the authenticated transport.

object
OperationId
string
nullable
DefinitionId
string
nullable
ResponsibleId
string
nullable
OwnerId
string
nullable
Subject
string
nullable
Description
string
nullable
DueAtUtc
string format: date-time
nullable
AvailableAtUtc
string format: date-time
nullable
Context

Stable identity of one Moltaro resource instance.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Input
object
key
additional properties
Working
object
key
additional properties
QueueId

Required for Queue-mode Definitions and rejected for Direct Definitions.

string
nullable
Examplegenerated
{
"OperationId": "example",
"DefinitionId": "example",
"ResponsibleId": "example",
"OwnerId": "example",
"Subject": "example",
"Description": "example",
"DueAtUtc": "2026-04-15T12:00:00Z",
"AvailableAtUtc": "2026-04-15T12:00:00Z",
"Context": {
"ModuleKey": "example",
"ResourceKind": "example",
"ContextResourceId": "example",
"ResourceObjectId": "example"
},
"Input": {
"additionalProperty": "example"
},
"Working": {
"additionalProperty": "example"
},
"QueueId": "example"
}

OK

Media typeapplication/json
object
Data

A committed creation can succeed without permission to disclose the resulting resource.

object
Replayed
boolean
Result
object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

A committed creation can succeed without permission to disclose the resulting resource.

object
Replayed
boolean
Result
object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
Data

A committed creation can succeed without permission to disclose the resulting resource.

object
Replayed
boolean
Result
object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data

A committed creation can succeed without permission to disclose the resulting resource.

object
Replayed
boolean
Result
object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

A committed creation can succeed without permission to disclose the resulting resource.

object
Replayed
boolean
Result
object
Id
string
nullable
DefinitionId
string
nullable
Number
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}